/// <reference types="webpack" />
import webpack = require('webpack');
export declare function getWebpackConfig(config: any): {
    mode: string;
    devtool: string;
    resolve: {
        extensions: string[];
    };
    entry: any;
    output: {
        path: any;
        publicPath: string;
        filename: string;
        libraryTarget: string;
        library: any;
    };
    externals: RegExp[];
    module: {
        rules: ({
            test: RegExp;
            loader: string;
            exclude: RegExp[];
            options: {
                transpileOnly: boolean;
                configFile: any;
                compilerOptions: {
                    declaration: boolean;
                    emitDecoratorMetadata: boolean;
                };
            };
            loaders?: undefined;
        } | {
            test: RegExp;
            loaders: string[];
            loader?: undefined;
            exclude?: undefined;
            options?: undefined;
        })[];
    };
    plugins: webpack.ContextReplacementPlugin[];
    optimization: {
        minimize: boolean;
    };
    stats: string;
    devServer: {
        stats: string;
    };
};
